## org.apache.batik.dom
Class AbstractDocument.DocumentConfiguration.ParameterNameList

    java.lang.Object
      org.apache.batik.dom.AbstractDocument.DocumentConfiguration.ParameterNameList

All Implemented Interfaces:
  org.w3c.dom.DOMStringList

Enclosing class:
  AbstractDocument.DocumentConfiguration

    protected class AbstractDocument.DocumentConfiguration.ParameterNameList

extends java.lang.Object
implements org.w3c.dom.DOMStringList

Class to expose the parameter names.

Constructor Summary
`protected` `AbstractDocument.DocumentConfiguration.ParameterNameList()`

Method Summary
`boolean` `contains(java.lang.String s)` Returns whether the given parameter name is in the list.
`int` `getLength()` Returns the number of parameter names in the list.
`java.lang.String` `item(int index)` Returns the parameter name at the given index.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDocument.DocumentConfiguration.ParameterNameList

    protected AbstractDocument.DocumentConfiguration.ParameterNameList()

Method Detail

### item

    public java.lang.String item(int index)

  Returns the parameter name at the given index.

  Specified by:
    `item` in interface `org.w3c.dom.DOMStringList`

### getLength

    public int getLength()

  Returns the number of parameter names in the list.

  Specified by:
    `getLength` in interface `org.w3c.dom.DOMStringList`

### contains

    public boolean contains(java.lang.String s)

  Returns whether the given parameter name is in the list.

  Specified by:
    `contains` in interface `org.w3c.dom.DOMStringList`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.